﻿@using System.Web.UI.WebControls;
@using Portal.Models.LPOPConsolidation;
 
            
 @*--- wot.dwi 09/11/2012  *@


 @Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "LPOPDetail_" + ViewData["Name"];
        settings.SettingsDetail.MasterGridName = "LPOPDetail";
        settings.CallbackRouteValues = new { Controller = "LPOPConsolidation", Action = "SearchLPOPDetail", ID = ViewData["Name"] };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.KeyFieldName = "D_ID";
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        settings.SettingsPager.Position = PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Caption = "Page size";
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "D_ID";
                setting.Caption = "D-ID";
                setting.Width = Unit.Pixel(120);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Vers";
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.Caption = "Vers";
                setting.Width = Unit.Pixel(40);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Rev_No";
                setting.Caption = "Rev<br /> No";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Comp_Code";
                setting.Caption = "Comp<br /> Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "R_Plant_Code";
                setting.Caption = "R Plant<br />Code";
                setting.Width = Unit.Pixel(60);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Dock_Code";
                setting.Caption = "Dock<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Supp_Code";
                setting.Caption = "Supp<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Ship_Code";
                setting.Caption = "Ship<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Ord_Type";
                setting.Caption = "Ord<br />Type";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Pack_Month";
                setting.Caption = "Pack<br />Month";
                setting.Width = Unit.Pixel(60);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Car_Code";
                setting.Caption = "Car<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Rex_Code";
                setting.Caption = "Rex<br />Code";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
             setting =>
             {
                 setting.FieldName = "Src";
                 setting.Caption = "Source";
                 setting.Width = Unit.Pixel(65);
                 setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
             }
         );



        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Part_No";
                setting.Caption = "Part No";
                setting.Width = Unit.Pixel(100);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Order_Type";
                setting.Caption = "Order<br />Type";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Order_Lot_Cz";
                setting.Caption = "Order Lot<br />Cz";
                setting.Width = Unit.Pixel(70);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Kanban_Number";
                setting.Caption = "Kanban<br />Number";
                setting.Width = Unit.Pixel(65);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Parts_Matching_Key";
                setting.Caption = "Parts Matching<br />Key";
                setting.Width = Unit.Pixel(110);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "AICO_Cept";
                setting.Caption = "AICO<br />Cept";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }

        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_Volume";
                setting.Caption = "N<br />Volume";
                setting.Width = Unit.Pixel(65);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "AICO_Cept1";
                setting.Caption = "AICO<br />Cept";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }

        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_Vol";
                setting.Caption = "N+1<br />Volume";
                setting.Width = Unit.Pixel(65);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "AICO_Cept2";
                setting.Caption = "AICO<br />Cept2";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }

        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N2_Vol";
                setting.Caption = "N+2<br />Volume";
                setting.Width = Unit.Pixel(65);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "AICO_Cept3";
                setting.Caption = "AICO<br />Cept3";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }

        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N3_Vol";
                setting.Caption = "N+3<br />Volume";
                setting.Width = Unit.Pixel(65);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D01";
                setting.Caption = "N<br />D01";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D02";
                setting.Caption = "N<br />D02";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D03";
                setting.Caption = "N<br />D03";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D04";
                setting.Caption = "N<br />D04";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D05";
                setting.Caption = "N<br />D05";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D06";
                setting.Caption = "N<br />D06";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D07";
                setting.Caption = "N<br />D07";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D08";
                setting.Caption = "N<br />D08";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D09";
                setting.Caption = "N<br />D09";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D10";
                setting.Caption = "N<br />D10";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D11";
                setting.Caption = "N<br />D11";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D12";
                setting.Caption = "N<br />D12";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D13";
                setting.Caption = "N<br />D13";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D14";
                setting.Caption = "N<br />D14";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D15";
                setting.Caption = "N<br />D15";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D16";
                setting.Caption = "N<br />D16";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D17";
                setting.Caption = "N<br />D17";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D18";
                setting.Caption = "N<br />D18";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D19";
                setting.Caption = "N<br />D19";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D20";
                setting.Caption = "N<br />D20";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D21";
                setting.Caption = "N<br />D21";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D22";
                setting.Caption = "N<br />D22";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D23";
                setting.Caption = "N<br />D23";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D24";
                setting.Caption = "N<br />D24";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D25";
                setting.Caption = "N<br />D25";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D26";
                setting.Caption = "N<br />D26";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D27";
                setting.Caption = "N<br />D27";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D28";
                setting.Caption = "N<br />D28";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D29";
                setting.Caption = "N<br />D29";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D30";
                setting.Caption = "N<br />D30";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N_D31";
                setting.Caption = "N<br />D31";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D01";
                setting.Caption = "N1<br />D01";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D02";
                setting.Caption = "N1<br />D02";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D03";
                setting.Caption = "N1<br />D03";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D04";
                setting.Caption = "N1<br />D04";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D05";
                setting.Caption = "N1<br />D05";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D06";
                setting.Caption = "N1<br />D06";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D07";
                setting.Caption = "N1<br />D07";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D08";
                setting.Caption = "N1<br />D08";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D09";
                setting.Caption = "N1<br /> D09";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D10";
                setting.Caption = "N1<br /> D10";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D11";
                setting.Caption = "N1<br /> D11";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D12";
                setting.Caption = "N1<br /> D12";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D13";
                setting.Caption = "N1<br /> D13";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D14";
                setting.Caption = "N1<br /> D14";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D15";
                setting.Caption = "N1<br /> D15";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D16";
                setting.Caption = "N1<br /> D16";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D17";
                setting.Caption = "N1<br /> D17";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D18";
                setting.Caption = "N1<br /> D18";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D19";
                setting.Caption = "N1<br /> D19";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D20";
                setting.Caption = "N1<br /> D20";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D21";
                setting.Caption = "N1<br /> D21";
                setting.Width = Unit.Pixel(50);
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D22";
                setting.Caption = "N1<br /> D22";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D23";
                setting.Caption = "N1<br /> D23";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D24";
                setting.Caption = "N1<br /> D24";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D25";
                setting.Caption = "N1<br /> D25";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D26";
                setting.Caption = "N1<br /> D26";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D27";
                setting.Caption = "N1<br /> D27";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D28";
                setting.Caption = "N1<br /> D28";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D29";
                setting.Caption = "N1<br /> D29";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D30";
                setting.Caption = "N1<br /> D30";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "N1_D31";
                setting.Caption = "N1<br /> D31";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "System_Date";
                setting.Caption = "System<br />Date";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Series";
                setting.Caption = "Series";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Life_Cycle";
                setting.Caption = "Life<br />Cycle";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "BA_Sign";
                setting.Caption = "B/A<br />Sign";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "BA_Quantity";
                setting.Caption = "B/A<br />Quantity";
                setting.Width = Unit.Pixel(70);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "RU_Previous";
                setting.Caption = "RU<br />Quantity";
                setting.Width = Unit.Pixel(70);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        ); settings.Columns.Add(
             setting =>
             {
                 setting.FieldName = "RU_Present";
                 setting.Caption = "RU<br />Present";
                 setting.Width = Unit.Pixel(70);
                 setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
             }
         );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Supplier_Name";
                setting.Caption = "Supplier Name";
                setting.Width = Unit.Pixel(180);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Part_Name";
                setting.Caption = "Part Name";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );

        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Created_By";
                setting.Caption = "Created By";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Created_Date";
                setting.Caption = "Created Date";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Changed_By";
                setting.Caption = "Changed By";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "Changed_Date";
                setting.Caption = "Changed Date";
                setting.Width = Unit.Pixel(150);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
            }
        );
    }).Bind(Model).GetHtml()
